{% load staticfiles %}
<!DOCTYPE HTML>
<html>

<head>
  <!-- Тег meta для указания кодировки -->
  <meta charset="utf-8">
  <link rel="stylesheet" href="{% static 'css/styles.css' %}">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
   integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"
   integrity="sha384-xrRywqdh3PHs8keKZN+8zzc5TX0GRTLCcmivcbNJWm2rs5C8PRhcEn3czEjhAO9o"
   crossorigin="anonymous"></script>
   <script src="{% static 'js/main-module.js' %}"></script>
   <ul class="nav nav-tabs">
  <li class="nav-item">
    <a class="nav-link active" href="/">Generate</a>
  </li>
  <li class="nav-item">
    <a class="nav-link" href="lib">Library</a>
  </li>
  <li class="nav-item">
    <a class="nav-link" href="#">Author</a>
  </li>

</ul>

  <div class="container">
    <div class="row justify-content-center">
         <div class="col-lg-10 col-md-12">
           <div class="card mb-4">

               <h2 class='card-header'>Welcome, welcome</h2>
               <div class="card-body">

                 <p class="card-text"> Have you always wanted to be a famous artist? Just press "Generate"</p>



             </div>

  </div>

           </div>
         </div>
    <div class="row">
      <div class="col-md-4">



          <div class="btn-group-vertical">



            <button type="button" id="generate" class="btn btn-dark btn-lg" onclick="makeArt()">Generate</button><br>
            <a href="#linko" id="sdevice" class="btn btn-danger btn-lg" role="button" onclick="download_img(this);" download="myImage.jpg" >Save to device</a>
            <button type="button" id="settings" class="btn btn-info btn-lg" data-toggle="modal" data-target="#artset">Settings</button>

          </div>


        <div class="modal fade" id="artset">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h4 class="modal-title">Settings</h4>
                <button class="close" data-dismiss="modal"> x </button>
              </div>


              <div class="modal-body" id="settingsModal">
                <div class="form-group form-check">
                    <label for="amountOfFigures">Amount of figures</label>
                    <input type="text" class="form-control" id="amountOfFigures" name="am" placeholder="3">

                </div>
                <div class="modal-futter">
                  <button type="button" name="button" type="button" class="btn btn-info btn-lg" data-dismiss="modal"id="setSettings" >Done</button>
                </div>
              </div>


            </div>
          </div>
        </div>
      </div>

      <div class="col-md-3">
        <div  id="holst">
          <canvas id="hcnv" width="700" height="700"></canvas>
        </div>
      </div>

    </div>
  </div>

</body>

</html>
